Package com.logicaldoc.core.dashlet

# Class Dashlet

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.dashlet.Dashlet

All Implemented Interfaces:
  `Serializable`

@Entity public class Dashlet extends PersistentObject
Represents a sub-window of a dashboard

Since:
  8.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_BOOKMARK`
`static final String`
`TYPE_CONTENT`
`static final String`
`TYPE_DOCEVENT`
`static final String`
`TYPE_DOCUMENT`
`static final String`
`TYPE_NOTE`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Dashlet()`
`Dashlet(Dashlet source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getColumns()`
`String`
`getContent()`
`Integer`
`getMax()`
`String`
`getName()`
`String`
`getQuery()`
`String`
`getTitle()`
`String`
`getType()`
`int`
`hashCode()`
`boolean`
`isUnique()`
`void`
`setColumns(String columns)`
`void`
`setContent(String content)`
`void`
`setMax(Integer max)`
`void`
`setName(String name)`
`void`
`setQuery(String query)`
`void`
`setTitle(String title)`
`void`
`setType(String type)`
`void`
`setUnique(boolean unique)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_DOCEVENT

public static final String TYPE_DOCEVENT

See Also:
  - Constant Field Values

### TYPE_DOCUMENT

public static final String TYPE_DOCUMENT

See Also:
  - Constant Field Values

### TYPE_BOOKMARK

public static final String TYPE_BOOKMARK

See Also:
  - Constant Field Values

### TYPE_NOTE

public static final String TYPE_NOTE

See Also:
  - Constant Field Values

### TYPE_CONTENT

public static final String TYPE_CONTENT

See Also:
  - Constant Field Values

## Constructor Details

### Dashlet

public Dashlet()

### Dashlet

public Dashlet(Dashlet source)

## Method Details

### getType

public String getType()

### getQuery

public String getQuery()

### getContent

public String getContent()

### getName

public String getName()

### setType

public void setType(String type)

### setQuery

public void setQuery(String query)

### setContent

public void setContent(String content)

### setName

public void setName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `PersistentObject`

### getTitle

public String getTitle()

### setTitle

public void setTitle(String title)

### getMax

public Integer getMax()

### setMax

public void setMax(Integer max)

### getColumns

public String getColumns()

### setColumns

public void setColumns(String columns)

### isUnique

public boolean isUnique()

### setUnique

public void setUnique(boolean unique)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`